<app-breadcrumb-admin [single]="false" titlePage=" Editar Promoción" backPage="Promociones" url="carrousel"></app-breadcrumb-admin>
<div class="row">
  <div class="col-12">
    <div class="card mb-3">
      <div class="card-header">
        <h3><fa-icon [icon]="faHandPointer"></fa-icon> Editar Promoción</h3>
      </div>
      <div class="card-body">
        <form class="validate-form" (ngSubmit)="submit(form)" #form="ngForm">
          <div class="row">
            <div class="col-12 col-md-6">
              <label for="name"  class="label-flags">
                <span> Nombre</span>
              </label>
              <input type="text" name="name" placeholder="Nombre" id="name" class="form-control" [(ngModel)]="promotion.name">
            </div>
            <div class="col-12 col-md-6">
              <label for="url"  class="label-flags">
                <span> Url</span>
              </label>
              <input type="text" name="url" placeholder="Url" id="url" class="form-control" [(ngModel)]="promotion.url">
            </div>
            <div class="col-12">
              <label for="title"  class="label-flags">
                <span> Titulo</span>
              </label>
              <input type="text" name="title" placeholder="Titulo" id="title" class="form-control" [(ngModel)]="promotion.title">
              <label class="label-flags">
                <span> Descripción</span>
              </label>
              <ckeditor [editor]="Editor" [(ngModel)]="promotion.description" [data]="promotion.description" name="description" id="description"></ckeditor>
            </div>
          </div>
          <div class="alert alert-primary mt-3" role="alert">
            <fa-icon [icon]="faImages"></fa-icon> Imágenes (Formato png, jpg o jpeg de tamaño 1,200 x 700 a 72 dpi)<br>
          </div>
          <div class="position-relative form-group">
            <label for="image" class="">Imagen</label>
            <div class="row">
              <div class="col-4">
                <img [src]="promotion._id |image: 'promotions'" class="img-fluid" [alt]="imageInit" *ngIf="imageInit">
                <img [src]="thumbnail" *ngIf="thumbnail" class="img-fluid">
                <img src="assets/images/missing.png" *ngIf="!imageInit && !thumbnail" class="img-fluid">
              </div>
              <div class="col-4 d-flex align-items-center">
                <div class="upload-btn-wrapper">
                  <button class="btn btn-primary">Selecciona un archivo</button>
                  <input type="file" name="image" id="image" (change)="getImage($event)" required>
                </div>
              </div>
            </div>
          </div>
          <button type="submit" [disabled]="form.invalid" class="mt-2 float-end btn btn-primary">
            <fa-icon [icon]="faSave"></fa-icon>
            Guardar
          </button>
        </form>
      </div>
    </div>
  </div>
</div>
